Question Comment installer le lecteur Flash sur Ubuntu?


Même si j'ai le dernier lecteur Adobe Flash 11.2 pour Linux dans Firefox - ref: doutes sur la sécurité des lecteurs Flash - un jeu flash en ligne particulier demande toujours que je mette à jour vers le dernier lecteur flash.

J'ai essayé ce jeu en ligne sur mon ordinateur portable (Windows 8 avec Flash Player 11.8) et cela n'a pas de problème.

Existe-t-il un moyen de faire croire à Ubuntu ou à ce jeu que Flash Player 11.8 est "installé"?


123
2017-09-04 20:23


origine


Comme vous le savez déjà, le dernier lecteur Flash pour Linux est 11.2.x. Donc je vous recommande d'utiliser Latest Google Chrome Navigateur. Il est déjà livré avec le dernier lecteur flash intégré. Pas besoin d'installer Flash lorsque vous naviguez sur Internet. ;) Télécharger chrome d'ici: google.com/intl/fr/chrome/browserRépondre si vous avez besoin d'aide supplémentaire .. - Saurav Kumar
En relation: askubuntu.com/questions/562271/… - Ben
Voir ma réponse ici; askubuntu.com/a/908985/682596 - Roel


Réponses:


Note: Cette réponse est sévèrement obsolète. Prière de se référer à la réponse de Karel au lieu de cela, décrit comment Canonical et Adobe recommandent actuellement d'installer Flash Player dans Ubuntu.


Pour Linux, la dernière version de Adobe Flash Player est 11.2 que vous avez déjà. Désolé, mais il ne peut pas être mis à jour à 11.8. Adobe fournit des backports de sécurité à Flash Player 11.2 pour Linux.

Pour installer le plug-in Flash sur Ubuntu 13.04 (Ringtail Ringant), veuillez suivre ce processus:

  1. Activer le multiverse dépôt, comme indiqué ici: Comment puis-je activer le référentiel "multivers"? 

  2. Ouvrez une fenêtre de terminal (appuyez sur Ctrl+Alt+T) et copier / coller cette ligne:

    sudo apt-get install flashplugin-installer 
    
  3. Lorsque Flash Player est installé, fermez la fenêtre du terminal et redémarrez votre navigateur.


133
2017-09-04 20:34



..et depuis flashplugin-installer est disponible dans le Multivers dépôt, vous devrez peut-être activer le dépôt. ..si ce lien devrait aider: Comment activer le référentiel «multivers»? - precise
Cela fonctionne également le 14.04. - dusan
Cette méthode fonctionne également pour 15.04. :) - Muhamed Huseinbašić
Cette méthode fonctionne également pour 15.10. - galath
Installé mais à chrome://plugins chez Chromium je ne vois pas de flash ... Lubuntu 15.10 - Vitaly Zdanevich


Pour installer la dernière version de Flash Player, lancez une recherche sur le Dash (dans les versions Ubuntu antérieures à 17.10) ou sur le tableau de bord Show Applications (dans Ubuntu 17.10 ou ultérieur) pour Software & Updates et ouvrez la fenêtre Software & Updates. Clique le Autres logiciels Cliquez sur l'onglet dans la fenêtre Logiciels et mises à jour et cochez la case située à gauche de l'endroit où il est indiqué: Partenaires Canoniques.

enter image description here Logiciels et mises à jour dans Ubuntu 17.10

Clique le Fermer bouton pour fermer la fenêtre Logiciels et mises à jour.

Ouvrez le terminal et tapez:

sudo apt-get update   
sudo apt-get install adobe-flashplugin  

19
2017-12-30 22:39



Personnellement, je pense que cela devrait être la seule réponse qui reste, et les autres réponses (qui sont pour la plupart obsolètes) supprimées. - Gunnar Hjalmarsson
Quelle est la ligne APT à entrer après avoir cliqué sur le bouton Ajouter? - Code-Guru
sudo apt-get update && sudo apt-get install adobe-flashplugin - karel
@karel: Je suppose que ce que Code-Guru dans le commentaire ci-dessus était déroutant, car cliquer sur le bouton Ajouter déclenche une fenêtre qui demande une URL APT. - Nicolas Raoul


Adobe ne fournit plus les mises à jour de Flash Player pour Linux, à l'exception des backports de sécurité.
Du Abobe Flash Blog:

Pour les versions de Flash Player postérieures à la version 11.2, le plug-in de navigateur Flash Player pour Linux sera uniquement disponible via l'API «Pepper» dans le cadre de la distribution du navigateur Google Chrome et ne sera plus disponible en téléchargement direct à partir d'Adobe. Adobe continuera à fournir des mises à jour de sécurité pour les distributions non-Pepper de Flash Player 11.2 sous Linux pendant cinq ans à compter de sa sortie.

Vous pouvez toujours utiliser le dernier flash dans Google Chrome ou Chrome Install chromium-browseravec le plugin 'Pepper Flash'

Adobe Flash Player est directement intégré à Google Chrome et activé par défaut. Les mises à jour disponibles pour Adobe Flash Player sont automatiquement incluses dans les mises à jour du système Chrome.

Vous devrez l'installer manuellement dans Chrome, cependant, vois ici


15
2017-09-04 20:43



Plus vrai. La version PPAPI est toujours prise en charge. - Evan Carroll
pcworld.com/article/3116409/linux/… semble indiquer que cette réponse n'est plus vraie - Mateusz Konieczny


Malheureusement, Adobe a abandonné le support de la version GNU / Linux de Flash Player (bien que des mises à jour de sécurité soient toujours fournies). Cependant, il existe encore deux manières d’obtenir des versions plus récentes.

Le premier consiste à exécuter la version Windows via Du vin, une couche d'émulation logicielle conçue pour faire fonctionner les logiciels Windows sur GNU / Linux et d'autres systèmes Unix. Vous aurez besoin d'un navigateur Web Windows (comme la version Windows de Firefox), avec la version Windows de Flash Player.

Ou, vous pourriez installer Google Chrome, comme il a toujours une version récente de Flash, même sur Ubuntu. Si vous choisissez Chrome, vous n'aurez pas besoin de Wine. Cela peut ne plus être une option. Voir la mise à jour n ° 3.

Mettre à jour: Je connais maintenant une troisième façon de faire: Pipelight! Pipelight était à l'origine un plugin de navigateur destiné à utiliser un fork de WINE pour exécuter Microsoft Silverlight. Cependant, à un moment donné, les développeurs ont également décidé d'ajouter un support pour Flash. Voir Ici pour obtenir des instructions sur l'installation de Pipelight et activer Flash Player.

Cependant, cette méthode n'est pas parfaite. Si vous trouvez que votre navigateur ne répondra pas à votre souris, vous pouvez soit changer d’espace de travail (en utilisant les raccourcis clavier de votre bureau), soit changer de fenêtre (encore une fois les raccourcis clavier). De toute façon, lorsque vous revenez en arrière, vous devriez être capable de cliquer à nouveau. S'il vous plaît noter que je l'ai seulement testé avec Linux Mint Cannelle desktop (qui est issu de Gnome), et ne peut garantir que cela fonctionnera sur d’autres ordinateurs de bureau. Si tout le reste échoue, vous pouvez passer à tty et tuer pipelight en utilisant pkill pluginloader.exe.

En outre, vous pourriez vouloir courir sudo pipelight-plugin --update de temps en temps, de sorte que Pipelight saura installer une version mise à jour du lecteur flash. Cela empêche à Pipelight d’essayer de télécharger des plug-ins à partir de liens morts, et garantit que ces plug-ins restent à jour. Ou, vous pouvez créer un fichier cron pour exécuter la commande automatiquement. Pour ce faire, lancez sudo bash -c 'echo -e \#\!"/bin/bash\n\npipelight-plugin --update" > /etc/cron.weekly/pipelight-update; chmod a+x /etc/cron.weekly/pipelight-update' Cela permettra à la liste de plugins de votre Pipelight d'être mise à jour chaque semaine, bien que les plugins actuall ne soient pas mis à jour avant que vous ne lanciez votre navigateur basé sur NPAPI.

Mise à jour 2: J'ai trouvé un autre plugin qui utilise Flash Player Pepper (Google Chrome) dans d'autres navigateurs (tels que Firefox). Ce plugin, appelé freshplayerplugin, est une version native de Flash, donc aucun WINE n'est requis. Remarque: même si je n'ai pas essayé cette méthode, Pepper Flash est connu pour avoir des problèmes avec les vidéos protégées par DRM, telles que celles trouvées sur Amazon Prime. Si vous regardez des vidéos protégées par DRM avec Flash Player, vous souhaiterez peut-être utiliser Pipelight.

Le lien ci-dessus vous indiquera comment installer FreshPlayerPlugin en clonant un dépôt git et en compilant le code vous-même. Ou, vous pouvez installer le package pepflashplugin-installer à partir de skunk / pepper-flash ppa: sudo add-apt-repository ppa:skunk/pepper-flash && sudo apt-get update && sudo apt-get install pepflashplugin-installer. Voir le bas de CE page pour des instructions sur la façon d’autoriser Chromium à utiliser le pepperflash. Attention: cela dépend du support Google Chrome. S'il vous plaît voir la mise à jour n ° 3.

Mise à jour 3: Google a abandonné le support Chrome pour tous les systèmes GNU / Linux 32 bits. Si vous avez un système 64 bits, vous pouvez utiliser Chrome comme d'habitude. Sinon, vous devrez soit exécuter une ancienne version de Chrome (bonne chance pour en trouver une. De plus, soyez averti que les anciens navigateurs ne sont pas sécurisés), basculez vers un système 64 bits ou essayez d'exécuter la version Windows via WINE. Les systèmes 32 bits n'étant plus pris en charge, vous ne pouvez plus utiliser la méthode décrite dans la mise à jour n ° 2 sur les systèmes 32 bits.

Mise à jour 4: Pipelight a été abandonné par l'auteur. Vous ne pouvez plus installer Flash Player avec lui. Cependant, Adobe a décidé de remplacer la version GNU / Linux de Flash Player par les dernières versions, donc je suppose que vous n'avez pas besoin de pipelight ou de freshplayerplugin. en fait, cela rend cette réponse obsolète.


11
2017-09-04 20:44



oui, adobe sont des bites. google a payé les créateurs de vin pour optimiser photoshop sur linux, n'est-ce pas gentil de leur part? au lieu de cela, Adobe les rembourse en stoppant le support de l'air, du lecteur et du flash sur Android et Linux. mais sa ok parce que bientôt html5 prendra le relais - Nick Bailuc
Malheureusement, le plugin freshplayer ne fait qu'emballer le pepper flash avec un frontal NPAPI pour que Firefox puisse l'utiliser. Pipelight est également un plugin NPAPI. Mais Firefox abandonne le support de NPAPI d'ici la fin de l'année. Existe-t-il une autre solution pour Flash dans Firefox qui ne soit pas déjà prévue pour être supprimée, ou est-ce que vous passez à Chrome / en cours d'exécution sous Wine uniquement les seules options? - Ben
Flash n'a pas abandonné la prise en charge de la version PPAPI, voici la preuve: il est également emballé et disponible pour Ubuntu, voir ma réponse ici. - Evan Carroll
en fait, cela rend cette réponse obsolète. - pouvez-vous envisager de le mettre à jour et de supprimer les anciens contenus inutiles? - Mateusz Konieczny


Comment installer manuellement le plugin Adobe NPAP Flash pour les navigateurs tels que Firefox, Iceweasel et SeaMonkey

  1. Accès https://get.adobe.com/flashplayer/otherversions/

  2. Sélectionnez votre architecture: Linux (32 bits) ou Linux (64 bits).

    • Si vous n'êtes pas sûr de l'architecture de votre système, exécutez la commande shell uname -i: s'il retourne quelque chose ayant le numéro 64 dans ce système, votre système est 64 bits. Sinon, c'est 32 bits.
  3. Téléchargez le Tarball NPAPI: sélectionnez l'option ayant (.tar.gz) - NPAPI puis cliquez sur le bouton "Télécharger maintenant".

    • Une archive est un fichier avec une extension ".tar.xxx", où "xxx" est une extension pour les fichiers compressés, comme par exemple Zip *: français, gz, bz2, 7z etc. Par conséquent, tarball.tar.gz, tarball.tar.zip, tarball.tar.7z et tarball.tar.bz2 sont tous des exemples d'archives.
  4. Enregistrez l'archive dans le /tmp dossier avec le nom flash.tar.gz. Si votre navigateur télécharge automatiquement l’archive tar, vous empêchant ainsi de renommer l’archive avant le téléchargement, attendez la fin du téléchargement, puis accédez au dossier contenant l’archive, renommez cette dernière en flash.tar.gz puis déplacez-le vers /tmp.

  5. Démarrez le terminal shell, puis exécutez cette commande:

    cd /tmp ; tar -xvf flash.tar.gz
    
  6. Maintenant, lancez cette commande afin de placer le plug-in Adobe Flash dans le dossier système:

    if ! [ -d /usr/lib/adobe-flashplugin/ ]; then sudo mkdir /usr/lib/adobe-flashplugin ; else echo /usr/lib/adobe-flashplugin/ already exists ; fi ; sudo cp -f libflashplayer.so /usr/lib/adobe-flashplugin/ ; sudo ln -sf /usr/lib/adobe-flashplugin/libflashplayer.so /usr/lib/flashplugin-installer/libflashplayer.so
    
  7. Ensuite, exécutez cette commande afin de placer les dossiers Adobe Flash dans leurs emplacements respectifs:

    sudo cp -rf /tmp/usr /
    
  8. Vous pouvez maintenant exécuter votre navigateur Mozilla / Gecko (Firefox, Iceweasel ou SeaMonkey), puis accéder à l'URL about:plugins afin de vérifier si votre navigateur a bien détecté le plugin flash situé à /usr/lib/adobe-flashplugin/libflashplayer.so (il devrait aussi être visible en accédant à about:addons et puis le Plugins section). Si vous voyez quelque chose comme Shockwave Flash 24.0 r0, ensuite aller à http://www.adobe.com/software/flash/about afin de vérifier si l'applet Flash détecte votre installation flash NPAPI et vous indique la version que vous utilisez actuellement.

    • Il est possible que votre navigateur affiche l’emplacement du plug-in comme étant /usr/lib/flashplugin-installer/libflashplayer.so au lieu de /usr/lib/adobe-flashplugin/libflashplayer.so. Si cela se produit, ignorez-le: c'est normal.
  9. Redémarrez votre ordinateur pour vous assurer que le menu des applications affiche votre tout nouveau "Adobe Flash Player"panneau de contrôle. Si ce n'est pas le cas, vous devriez pouvoir le démarrer en exécutant cette commande shell:

    /usr/bin/flash-player-properties
    

Remarque: si vous utilisez le SeaMonkey 32 bits sur un système 64 bits, le navigateur ne "verra" pas le plug-in. Utilisez un autre navigateur (par exemple, Firefox).

Comment désinstaller manuellement le plugin Adobe NPAPI Flash pour les navigateurs tels que Firefox, Iceweasel et SeaMonkey

Ouvrez une fenêtre de terminal shell et exécutez cette supercommande:

sudo rm -r /usr/lib/adobe-flashplugin /usr/lib/flashplugin-installer/libflashplayer.so /usr/bin/flash-player-properties /usr/lib/kde4/kcm_adobe_flash_player.so /usr/lib64/kde4/kcm_adobe_flash_player.so /usr/share/applications/flash-player-properties.desktop /usr/share/kde4/services/kcm_adobe_flash_player.desktop /usr/share/pixmaps/flash-player-properties.png ; cd /usr/share/icons/hicolor ; sudo find . -name "flash-player-properties.png" -delete

Comment installer manuellement le plug-in Flash PPAPI d'Adobe pour un navigateur WebKit tel qu'Opera

  1. Accès https://get.adobe.com/flashplayer/otherversions/

  2. Sélectionnez votre architecture: Linux (32 bits) ou Linux (64 bits).

    • Si vous n'êtes pas sûr de l'architecture de votre système, exécutez la commande shell uname -i: s'il retourne quelque chose ayant le numéro 64 dans ce système, votre système est 64 bits. Sinon, c'est 32 bits.
  3. Téléchargez le Tarball PPAPI: sélectionnez l'option ayant (.tar.gz) - PPAPI puis appuyez sur le bouton "Télécharger maintenant".

    • Une archive est un fichier avec une extension ".tar.xxx", où "xxx" est une extension pour les fichiers compressés, comme par exemple Zip *: français, gz, bz2, 7z etc. Par conséquent, tarball.tar.gz, tarball.tar.zip, tarball.tar.7z et tarball.tar.bz2 sont tous des exemples d'archives.
  4. Enregistrez l'archive dans le /tmp dossier avec le nom pepflash.tar.gz. Si votre navigateur télécharge automatiquement l’archive tar, vous empêchant ainsi de renommer l’archive avant le téléchargement, attendez la fin du téléchargement, puis accédez au dossier contenant l’archive, renommez cette dernière en pepflash.tar.gz puis déplacez-le vers /tmp.

  5. Démarrez le terminal shell, puis exécutez cette commande:

    cd /tmp ; tar -xvf pepflash.tar.gz
    
  6. Exécutez maintenant ces commandes afin de placer le plug-in Adobe Flash dans le dossier système:

    if ! [ -d /usr/lib/adobe-flashplugin/ ]; then sudo mkdir /usr/lib/adobe-flashplugin ; else echo /usr/lib/adobe-flashplugin/ already exists ; fi ; sudo cp -f libpepflashplayer.so manifest.json /usr/lib/adobe-flashplugin/
    
  7. Vous pouvez maintenant lancer votre navigateur WebKit / Opera (uniquement les versions d'Opera antérieures à la version 45), puis accéder à l'URL about:plugins afin de vérifier si votre navigateur a bien détecté le plugin flash situé à /usr/lib/adobe-flashplugin/libpepflashplayer.so. N'oubliez pas de cliquer sur le bouton Afficher les détails bouton (en haut à droite) afin d’élargir les champs d’information et d’afficher des informations supplémentaires sur chaque plug-in détecté. Si vous voyez quelque chose comme Adobe Flash Player situé à /usr/lib/adobe-flashplugin/libpepflashplayer.so, ensuite aller à http://www.adobe.com/software/flash/about pour vous assurer que l'applet Flash détecte votre installation flash PPAPI et vous indique la version que vous utilisez actuellement. Si votre navigateur est la version 45+ d'Opera (version 45 ou ultérieure), la seule façon de vérifier si le plug-in est correctement installé et fonctionnel est en accédant à http://www.adobe.com/software/flash/about. Si l'applet Flash détecte votre installation Flash PPAPI, alors Flash fonctionne sur votre navigateur Opera 45+.

Comment désinstaller manuellement le plugin Adobe Flash PPAPI pour un navigateur WebKit tel que Opera

Ouvrez une fenêtre de terminal shell et exécutez cette commande:

sudo rm /usr/lib/adobe-flashplugin/libpepflashplayer.so

Comment installer manuellement le plug-in Adobe PPAPI Flash pour les navigateurs Google Chrome et Google Chromium

Si vous utilisez Google Chrome / Chromium, il est déjà livré avec son propre pack PPAPI Plugin Flash situé à ~/.config/google-chrome/PepperFlash/some_version_number/libpepflashplayer.so. Cependant, si les vidéos ne fonctionnent pas avec Google Chrome / Chromium lorsque vous êtes sur Facebook, YouTube et cetera (vous entendez l’audio, mais vous ne voyez aucune vidéo), vous essayez probablement de regarder HTML5 vidéos, mais votre GPU (Graphics Processing Unit) dispose d'une liste noire de rendu intégrée qui évite l'accélération vidéo requise par HTML5.

Pour résoudre ce problème, lancez Google Chrome / Chromium, accédez à cette URL:

chrome://flags/#ignore-gpu-blacklist

...puis Activer l'option ci-dessus et redémarrer Google Chrome / Chromium.

Si la solution ci-dessus ne résout pas le problème, suivez les 6 étapes fournies à Comment installer manuellement le plug-in Flash PPAPI d'Adobe pour un navigateur WebKit tel qu'Opera, puis sauvegardez le plug-in PepperFlash de Google et créez un lien symbolique vers le plug-in Flash PPAPI d'Adobe.

Si par exemple votre navigateur Chrome / Chromium utilise la version 24.0.0.186 du plug-in PepperFlash et vous avez téléchargé la version 24.0.0.186 du plug-in Flash PPAPI d'Adobe (même version de PepperFlash de Google), alors c'est la commande shell que vous devrez émettre après avoir installé le plug-in Flash PPAPI d'Adobe:

mv ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so.bak ; sudo ln -sf /usr/lib/adobe-flashplugin/libpepflashplayer.so ~/.config/google-chrome/libpepflashplayer.so

Comment désinstaller manuellement le plugin Adobe Flash PPAPI pour les navigateurs Google Chrome et Google Chromium

Ouvrez une fenêtre de terminal shell et exécutez cette commande:

sudo rm ~/.config/google-chrome/libpepflashplayer.so ; mv ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so.bak ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so

La source: ma propre réponse à question # 470281.


1
2018-02-03 14:03



Bien que ce lien puisse répondre à la question, il est préférable d'inclure les parties essentielles de la réponse ici et de fournir le lien pour référence. Les réponses au lien uniquement peuvent devenir invalides si la page liée est modifiée. - De l'avis - amc
@amc J'ai fini par coller toute ma réponse ici, car les processus d'installation et de désinstallation sont importants et qu'ils changent tous les deux, en fonction du navigateur. La chose la plus importante, je crois, est d'aider ceux qui lisent la question ci-dessus à trouver une réponse expliquant comment effectuer l'installation manuelle (et comment supprimer manuellement Adobe Flash). Je pourrais "fusionner" mes deux réponses en une seule pour les deux questions, si je le pouvais, mais malheureusement, aucune fonctionnalité de ce type n’est disponible. La question ci-dessus est plus ancienne que l'autre, mais j'ai d'abord trouvé et répondu à l'autre. - Yuri Sucupira
@DavidFoerster La question ci-dessus est plus ancienne que l'autre où j'ai (récemment) posté ma réponse. Cependant, j'ai trouvé et répondu à l'autre question d'abord (plusieurs jours avant que je trouve celui-ci). C'est pourquoi le fait de signaler l'une de ces questions (en faveur de l'autre question) semble être une sorte de dilemme: quelle question devrait être privilégiée? Je ne sais pas comment faire face à cette situation. En collant le contenu de ma réponse ici également, je compte bien faciliter la tâche de chacun pour trouver la solution que je propose au problème, quelle que soit l’une de ces deux questions que l’on trouve en premier. - Yuri Sucupira
Bien. J'ai voté pour clore l'autre question en double. - David Foerster
@YuriSucupira J'ai compris la raison pour laquelle il ne travaillait pas sur les versions récentes d'Opera. Vous avez également besoin du fichier manifest.json, pas seulement du fichier libpepflashplayer.so. Je l'ai modifié dans votre réponse. En outre, voici un script qui fera tout le travail inutile pour le plug-in PPAPI: gist.github.com/ruario/215c365facfe8d3c5071. Peut-être pourriez-vous également incorporer cela dans votre réponse. - Mike